
<div class="app-container">
  
  <div class="app-content"> 
    <p-tabView (activeIndexChange) = "onChangeParentTab($event)">
      <p-tabPanel header="{{listTabParent[0].name}}" >
         <app-tab1
            (currentStatusChange)="onChangeStatusCollapse($event)"
            (changeTabChild)="onChangeChildTab($event)"
            [childStatusCollapse1]="listTabParent[0].children[0].statusCollapse"
            [childStatusCollapse2]="listTabParent[0].children[1].statusCollapse"
            [childStatusCollapse3]="listTabParent[0].children[2].statusCollapse"
            [activeTabKey]="listTabParent[0].key"
          ></app-tab1>
      </p-tabPanel>
    
      <p-tabPanel header="{{listTabParent[1].name}}">
        <app-tab2
          (currentStatusChange)="onChangeStatusCollapse($event)"
          (changeTabChild)="onChangeChildTab($event)"
          [childStatusCollapse1]="listTabParent[1].children[0].statusCollapse"
          [childStatusCollapse2]="listTabParent[1].children[1].statusCollapse"
          [childStatusCollapse3]="listTabParent[1].children[2].statusCollapse"
          [activeTabKey]="listTabParent[1].key"
        >
        </app-tab2>
      </p-tabPanel>
    
      <p-tabPanel header="{{listTabParent[2].name}}">
        <app-tab3
        (currentStatusChange)="onChangeStatusCollapse($event)"
          (changeTabChild)="onChangeChildTab($event)"
          [childStatusCollapse1]="listTabParent[2].children[0].statusCollapse"
          [childStatusCollapse2]="listTabParent[2].children[1].statusCollapse"
          [childStatusCollapse3]="listTabParent[2].children[2].statusCollapse"
          [activeTabKey]="listTabParent[2].key"
        >

        </app-tab3>
      </p-tabPanel>
      
    </p-tabView>
    <div class="app-icons">
      <p-button class="p-1" icon="pi pi-angle-double-up"
      [style]="{
        width: 26 +'px',
        height: 24 + 'px'
      }"
      [disabled]="(currentStatusCollapse ==='collapseAll') || isDisableBtnCollapse"
       rounded="true"
        outlined="true"
         severity="warning"
           (click)="handleStatusCollapseAll()">
      </p-button>

      <p-button icon="pi pi-angle-double-down"
      [style]="{
        width: 26 +'px',
        height: 24 + 'px'
      }"
       [disabled]="(currentStatusCollapse ==='expandAll') || isDisableBtnCollapse"
        rounded="true"
         outlined="true"
          severity="warning" 
           (click)="handleStatusExpandAll()">
      </p-button>
    </div>
  </div>

</div>